#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static library

Summary:	Wacom model feature query library
Summary(pl.UTF-8):	Biblioteka identyfikująca modele i możliwości tabletów Wacom
Name:		libwacom
Version:	2.11.0
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/linuxwacom/libwacom/releases
Source0:	https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	fa489522c2b5f014360f44a3e38a30f8
URL:		https://linuxwacom.github.io/
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.51.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.36
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libwacom is a library to identify Wacom tablets and their
model-specific features.

%description -l pl.UTF-8
libwacom to biblioteka identyfikująca tablety Wacom oraz ich
możliwości zależne od modelu.

%package devel
Summary:	Header files for libwacom library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwacom
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36

%description devel
Header files for libwacom library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwacom.

%package static
Summary:	Static libwacom library
Summary(pl.UTF-8):	Statyczna biblioteka libwacom
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwacom library.

%description static -l pl.UTF-8
Statyczna biblioteka libwacom.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' tools/{libwacom-update-db,show-stylus}.py

%if %{with static_libs}
%{__sed} -i -e '/^lib_libwacom =/ s/shared_library/library/' meson.build
%endif

%build
%meson build \
	%{?with_apidocs:-Ddocumentation=enabled} \
	-Dtests=disabled \
	-Dudev-dir=/lib/udev

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md
%attr(755,root,root) %{_bindir}/libwacom-list-devices
%attr(755,root,root) %{_bindir}/libwacom-list-local-devices
%attr(755,root,root) %{_bindir}/libwacom-show-stylus
%attr(755,root,root) %{_bindir}/libwacom-update-db
%attr(755,root,root) %{_libdir}/libwacom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwacom.so.9
%{_datadir}/libwacom
/lib/udev/hwdb.d/65-libwacom.hwdb
/lib/udev/rules.d/65-libwacom.rules
%{_mandir}/man1/libwacom-list-devices.1*
%{_mandir}/man1/libwacom-list-local-devices.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwacom.so
%{_includedir}/libwacom-1.0
%{_pkgconfigdir}/libwacom.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwacom.a
%endif
%changelog
* Wed Apr 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwacom.git;a=log;h=master

* Wed Apr 17 2024 Jakub Bogusz <qboosh@pld-linux.org> e56d976
- updated to 2.11.0

* Sat Apr 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 0908a5a
- updated to 2.10.0

* Mon Oct 16 2023 Jakub Bogusz <qboosh@pld-linux.org> ed3a3e2
- updated to 2.8.0

* Sat May 13 2023 Jakub Bogusz <qboosh@pld-linux.org> be9114e
- updated to 2.6.0 (uses meson now; new soname, deprecated APIs dropped)

* Sat May 13 2023 Jakub Bogusz <qboosh@pld-linux.org> d9bfd0a
- updated to 1.12.1

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> a2fba8f
- updated to 1.12

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 1b051c9
- updated to 1.9

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f25d70
- updated to 1.5

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 8ca2e88
- updated to 1.3

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 2430942
- new URLs; updated to 1.1

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 187b4c0
- updated to 0.29

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> cd4aa28
- Update to 0.28

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> cd4cffc
- updated to 0.26

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 85320f5
- updated to 0.24

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 34afeac
- updated to 0.23

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 11bad84
- updated to 0.22

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d5dfb7
- updated to 0.19

* Sat Jan 16 2016 Łukasz Kieś <kiesiu@pld-linux.org> 686cc71
- updated to 0.18

* Sat Dec 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 5e804b9
- updated to 0.17

* Fri Jul 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 8ce9a9a
- updated to 0.15

